diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/users.php ./wordpress-3.3/wp-admin/network/users.php
*** ./wordpress-3.2.1/wp-admin/network/users.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/users.php	2011-12-10 12:26:48.000000000 -0600
***************
*** 16,21 ****
--- 16,220 ----
  if ( ! current_user_can( 'manage_network_users' ) )
  	wp_die( __( 'You do not have permission to access this page.' ) );
  
+ function confirm_delete_users( $users ) {
+ 	$current_user = wp_get_current_user();
+ 	if ( !is_array( $users ) )
+ 		return false;
+ 
+ 	screen_icon();
+ 	?>
+ 	<h2><?php esc_html_e( 'Users' ); ?></h2>
+ 	<p><?php _e( 'Transfer or delete posts and links before deleting users.' ); ?></p>
+ 	<form action="users.php?action=dodelete" method="post">
+ 	<input type="hidden" name="dodelete" />
+ 	<?php
+ 	wp_nonce_field( 'ms-users-delete' );
+ 	$site_admins = get_super_admins();
+ 	$admin_out = "<option value='$current_user->ID'>$current_user->user_login</option>";
+ 
+ 	foreach ( ( $allusers = (array) $_POST['allusers'] ) as $key => $val ) {
+ 		if ( $val != '' && $val != '0' ) {
+ 			$delete_user = new WP_User( $val );
+ 
+ 			if ( ! current_user_can( 'delete_user', $delete_user->ID ) )
+ 				wp_die( sprintf( __( 'Warning! User %s cannot be deleted.' ), $delete_user->user_login ) );
+ 
+ 			if ( in_array( $delete_user->user_login, $site_admins ) )
+ 				wp_die( sprintf( __( 'Warning! User cannot be deleted. The user %s is a network admnistrator.' ), $delete_user->user_login ) );
+ 
+ 			echo "<input type='hidden' name='user[]' value='{$val}'/>\n";
+ 			$blogs = get_blogs_of_user( $val, true );
+ 
+ 			if ( !empty( $blogs ) ) {
+ 				?>
+ 				<br /><fieldset><p><legend><?php printf( __( "What should be done with posts and links owned by <em>%s</em>?" ), $delete_user->user_login ); ?></legend></p>
+ 				<?php
+ 				foreach ( (array) $blogs as $key => $details ) {
+ 					$blog_users = get_users( array( 'blog_id' => $details->userblog_id ) );
+ 					if ( is_array( $blog_users ) && !empty( $blog_users ) ) {
+ 						$user_site = "<a href='" . esc_url( get_home_url( $details->userblog_id ) ) . "'>{$details->blogname}</a>";
+ 						$user_dropdown = "<select name='blog[$val][{$key}]'>";
+ 						$user_list = '';
+ 						foreach ( $blog_users as $user ) {
+ 							if ( ! in_array( $user->ID, $allusers ) )
+ 								$user_list .= "<option value='{$user->ID}'>{$user->user_login}</option>";
+ 						}
+ 						if ( '' == $user_list )
+ 							$user_list = $admin_out;
+ 						$user_dropdown .= $user_list;
+ 						$user_dropdown .= "</select>\n";
+ 						?>
+ 						<ul style="list-style:none;">
+ 							<li><?php printf( __( 'Site: %s' ), $user_site ); ?></li>
+ 							<li><label><input type="radio" id="delete_option0" name="delete[<?php echo $details->userblog_id . '][' . $delete_user->ID ?>]" value="delete" checked="checked" />
+ 							<?php _e( 'Delete all posts and links.' ); ?></label></li>
+ 							<li><label><input type="radio" id="delete_option1" name="delete[<?php echo $details->userblog_id . '][' . $delete_user->ID ?>]" value="reassign" />
+ 							<?php echo __( 'Attribute all posts and links to:' ) . '</label>' . $user_dropdown; ?></li>
+ 						</ul>
+ 						<?php
+ 					}
+ 				}
+ 				echo "</fieldset>";
+ 			}
+ 		}
+ 	}
+ 
+ 	submit_button( __('Confirm Deletion'), 'delete' );
+ 	?>
+ 	</form>
+     <?php
+ 	return true;
+ }
+ 
+ if ( isset( $_GET['action'] ) ) {
+ 	do_action( 'wpmuadminedit' , '' );
+ 
+ 	switch ( $_GET['action'] ) {
+ 		case 'deleteuser':
+ 			if ( ! current_user_can( 'manage_network_users' ) )
+ 				wp_die( __( 'You do not have permission to access this page.' ) );
+ 
+ 			check_admin_referer( 'deleteuser' );
+ 
+ 			$id = intval( $_GET['id'] );
+ 			if ( $id != '0' && $id != '1' ) {
+ 				$_POST['allusers'] = array( $id ); // confirm_delete_users() can only handle with arrays
+ 				$title = __( 'Users' );
+ 				$parent_file = 'users.php';
+ 				require_once( '../admin-header.php' );
+ 				echo '<div class="wrap">';
+ 				confirm_delete_users( $_POST['allusers'] );
+ 				echo '</div>';
+ 	            require_once( '../admin-footer.php' );
+ 	  		} else {
+ 				wp_redirect( network_admin_url( 'users.php' ) );
+ 			}
+ 			exit();
+ 		break;
+ 
+ 		case 'allusers':
+ 			if ( !current_user_can( 'manage_network_users' ) )
+ 				wp_die( __( 'You do not have permission to access this page.' ) );
+ 
+ 			if ( ( isset( $_POST['action']) || isset($_POST['action2'] ) ) && isset( $_POST['allusers'] ) ) {
+ 				check_admin_referer( 'bulk-users-network' );
+ 
+ 				if ( $_GET['action'] != -1 || $_POST['action2'] != -1 )
+ 					$doaction = $_POST['action'] != -1 ? $_POST['action'] : $_POST['action2'];
+ 
+ 				$userfunction = '';
+ 
+ 				foreach ( (array) $_POST['allusers'] as $key => $val ) {
+ 					if ( !empty( $val ) ) {
+ 						switch ( $doaction ) {
+ 							case 'delete':
+ 								if ( ! current_user_can( 'delete_users' ) )
+ 									wp_die( __( 'You do not have permission to access this page.' ) );
+ 								$title = __( 'Users' );
+ 								$parent_file = 'users.php';
+ 								require_once( '../admin-header.php' );
+ 								echo '<div class="wrap">';
+ 								confirm_delete_users( $_POST['allusers'] );
+ 								echo '</div>';
+ 					            require_once( '../admin-footer.php' );
+ 					            exit();
+ 	       					break;
+ 
+ 							case 'spam':
+ 								$user = new WP_User( $val );
+ 								if ( in_array( $user->user_login, get_super_admins() ) )
+ 									wp_die( sprintf( __( 'Warning! User cannot be modified. The user %s is a network administrator.' ), esc_html( $user->user_login ) ) );
+ 
+ 								$userfunction = 'all_spam';
+ 								$blogs = get_blogs_of_user( $val, true );
+ 								foreach ( (array) $blogs as $key => $details ) {
+ 									if ( $details->userblog_id != $current_site->blog_id ) // main blog not a spam !
+ 										update_blog_status( $details->userblog_id, 'spam', '1' );
+ 								}
+ 								update_user_status( $val, 'spam', '1' );
+ 							break;
+ 
+ 							case 'notspam':
+ 								$userfunction = 'all_notspam';
+ 								$blogs = get_blogs_of_user( $val, true );
+ 								foreach ( (array) $blogs as $key => $details )
+ 									update_blog_status( $details->userblog_id, 'spam', '0' );
+ 
+ 								update_user_status( $val, 'spam', '0' );
+ 							break;
+ 						}
+ 					}
+ 				}
+ 
+ 				wp_safe_redirect( add_query_arg( array( 'updated' => 'true', 'action' => $userfunction ), wp_get_referer() ) );
+ 			} else {
+ 				$location = network_admin_url( 'users.php' );
+ 
+ 				if ( ! empty( $_REQUEST['paged'] ) )
+ 					$location = add_query_arg( 'paged', (int) $_REQUEST['paged'], $location );
+ 				wp_redirect( $location );
+ 			}
+ 			exit();
+ 		break;
+ 
+ 		case 'dodelete':
+ 			check_admin_referer( 'ms-users-delete' );
+ 			if ( ! ( current_user_can( 'manage_network_users' ) && current_user_can( 'delete_users' ) ) )
+ 				wp_die( __( 'You do not have permission to access this page.' ) );
+ 
+ 			if ( ! empty( $_POST['blog'] ) && is_array( $_POST['blog'] ) ) {
+ 				foreach ( $_POST['blog'] as $id => $users ) {
+ 					foreach ( $users as $blogid => $user_id ) {
+ 						if ( ! current_user_can( 'delete_user', $id ) )
+ 							continue;
+ 
+ 						if ( ! empty( $_POST['delete'] ) && 'reassign' == $_POST['delete'][$blogid][$id] )
+ 							remove_user_from_blog( $id, $blogid, $user_id );
+ 						else
+ 							remove_user_from_blog( $id, $blogid );
+ 					}
+ 				}
+ 			}
+ 			$i = 0;
+ 			if ( is_array( $_POST['user'] ) && ! empty( $_POST['user'] ) )
+ 				foreach( $_POST['user'] as $id ) {
+ 					if ( ! current_user_can( 'delete_user', $id ) )
+ 						continue;
+ 					wpmu_delete_user( $id );
+ 					$i++;
+ 				}
+ 
+ 			if ( $i == 1 )
+ 				$deletefunction = 'delete';
+ 			else
+ 				$deletefunction = 'all_delete';
+ 
+ 			wp_redirect( add_query_arg( array( 'updated' => 'true', 'action' => $deletefunction ), network_admin_url( 'users.php' ) ) );
+ 			exit();
+ 		break;
+ 	}
+ }
+ 
  $wp_list_table = _get_list_table('WP_MS_Users_List_Table');
  $pagenum = $wp_list_table->get_pagenum();
  $wp_list_table->prepare_items();
***************
*** 30,42 ****
  
  add_screen_option( 'per_page', array('label' => _x( 'Users', 'users per page (screen options)' )) );
  
! add_contextual_help($current_screen,
! 	'<p>' . __('This table shows all users across the network and the sites to which they are assigned.') . '</p>' .
! 	'<p>' . __('Hover over any user on the list to make the edit links appear. The Edit link on the left will take you to his or her Edit User profile page; the Edit link on the right by any site name goes to an Edit Site screen for that site.') . '</p>' .
! 	'<p>' . __('You can also go to the user&#8217;s profile page by clicking on the individual username.') . '</p>' .
! 	'<p>' . __('You can sort the table by clicking on any of the bold headings and switch between list and excerpt views by using the icons in the upper right.') . '</p>' .
! 	'<p>' . __('The bulk action will permanently delete selected users, or mark/unmark those selected as spam. Spam users will have posts removed and will be unable to sign up again with the same email addresses.') . '</p>' .
! 	'<p>' . __('You can make an existing user an additional super admin by going to the Edit User profile page and checking the box to grant that privilege.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Users_Screen" target="_blank">Documentation on Network Users</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
--- 229,247 ----
  
  add_screen_option( 'per_page', array('label' => _x( 'Users', 'users per page (screen options)' )) );
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' =>
! 		'<p>' . __('This table shows all users across the network and the sites to which they are assigned.') . '</p>' .
! 		'<p>' . __('Hover over any user on the list to make the edit links appear. The Edit link on the left will take you to his or her Edit User profile page; the Edit link on the right by any site name goes to an Edit Site screen for that site.') . '</p>' .
! 		'<p>' . __('You can also go to the user&#8217;s profile page by clicking on the individual username.') . '</p>' .
! 		'<p>' . __('You can sort the table by clicking on any of the bold headings and switch between list and excerpt views by using the icons in the upper right.') . '</p>' .
! 		'<p>' . __('The bulk action will permanently delete selected users, or mark/unmark those selected as spam. Spam users will have posts removed and will be unable to sign up again with the same email addresses.') . '</p>' .
! 		'<p>' . __('You can make an existing user an additional super admin by going to the Edit User profile page and checking the box to grant that privilege.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Users_Screen" target="_blank">Documentation on Network Users</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 76,82 ****
  	if ( current_user_can( 'create_users') ) : ?>
  		<a href="<?php echo network_admin_url('user-new.php'); ?>" class="add-new-h2"><?php echo esc_html_x( 'Add New', 'user' ); ?></a><?php
  	endif;
! 	
  	if ( !empty( $usersearch ) )
  	printf( '<span class="subtitle">' . __( 'Search results for &#8220;%s&#8221;' ) . '</span>', esc_html( $usersearch ) );
  	?>
--- 281,287 ----
  	if ( current_user_can( 'create_users') ) : ?>
  		<a href="<?php echo network_admin_url('user-new.php'); ?>" class="add-new-h2"><?php echo esc_html_x( 'Add New', 'user' ); ?></a><?php
  	endif;
! 
  	if ( !empty( $usersearch ) )
  	printf( '<span class="subtitle">' . __( 'Search results for &#8220;%s&#8221;' ) . '</span>', esc_html( $usersearch ) );
  	?>
***************
*** 88,94 ****
  		<?php $wp_list_table->search_box( __( 'Search Users' ), 'user' ); ?>
  	</form>
  
! 	<form id="form-user-list" action='edit.php?action=allusers' method='post'>
  		<?php $wp_list_table->display(); ?>
  	</form>
  </div>
--- 293,299 ----
  		<?php $wp_list_table->search_box( __( 'Search Users' ), 'user' ); ?>
  	</form>
  
! 	<form id="form-user-list" action='users.php?action=allusers' method='post'>
  		<?php $wp_list_table->display(); ?>
  	</form>
  </div>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network.php ./wordpress-3.3/wp-admin/network.php
*** ./wordpress-3.2.1/wp-admin/network.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/network.php	2011-12-08 10:49:16.000000000 -0600
***************
*** 10,16 ****
   * @subpackage Administration
   */
  
! define( 'WP_NETWORK_ADMIN_PAGE', true );
  
  /** WordPress Administration Bootstrap */
  require_once( './admin.php' );
--- 10,16 ----
   * @subpackage Administration
   */
  
! define( 'WP_INSTALLING_NETWORK', true );
  
  /** WordPress Administration Bootstrap */
  require_once( './admin.php' );
***************
*** 103,115 ****
  	$parent_file = 'tools.php';
  }
  
! add_contextual_help($current_screen,
! 	'<p>' . __('This screen allows you to configure a network as having subdomains (<code>site1.example.com</code>) or subdirectories (<code>example.com/site1</code>). Subdomains require wildcard subdomains to be enabled in Apache and DNS records, if your host allows it.') . '</p>' .
  	'<p>' . __('Choose subdomains or subdirectories; this can only be switched afterwards by reconfiguring your install. Fill out the network details, and click install. If this does not work, you may have to add a wildcard DNS record (for subdomains) or change to another setting in Permalinks (for subdirectories).') . '</p>' .
  	'<p>' . __('The next screen for Network Setup will give you individually-generated lines of code to add to your wp-config.php and .htaccess files. Make sure the settings of your FTP client make files starting with a dot visible, so that you can find .htaccess; you may have to create this file if it really is not there. Make backup copies of those two files.') . '</p>' .
  	'<p>' . __('Add a <code>blogs.dir</code> directory under <code>/wp-content</code> and add the designated lines of code to wp-config.php (just before <code>/*...stop editing...*/</code>) and <code>.htaccess</code> (replacing the existing WordPress rules).') . '</p>' .
! 	'<p>' . __('Once you add this code and refresh your browser, multisite should be enabled. This screen will keep an archive of the added code. You can toggle between Network Admin and Site Admin by clicking on the Howdy (Username) dropdown in the upper right of the administration area.') . '</p>' .
! 	'<p>' . __('The choice of subdirectory sites is disabled if this setup is more than a month old because of permalink problems with &#8220;/blog/&#8221; from the main site. This disabling will be addressed soon in a future version.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Create_A_Network" target="_blank">Documentation on Creating a Network</a>') . '</p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Tools_Network_Screen" target="_blank">Documentation on the Network Screen</a>') . '</p>' .
--- 103,125 ----
  	$parent_file = 'tools.php';
  }
  
! $network_help = '<p>' . __('This screen allows you to configure a network as having subdomains (<code>site1.example.com</code>) or subdirectories (<code>example.com/site1</code>). Subdomains require wildcard subdomains to be enabled in Apache and DNS records, if your host allows it.') . '</p>' .
  	'<p>' . __('Choose subdomains or subdirectories; this can only be switched afterwards by reconfiguring your install. Fill out the network details, and click install. If this does not work, you may have to add a wildcard DNS record (for subdomains) or change to another setting in Permalinks (for subdirectories).') . '</p>' .
  	'<p>' . __('The next screen for Network Setup will give you individually-generated lines of code to add to your wp-config.php and .htaccess files. Make sure the settings of your FTP client make files starting with a dot visible, so that you can find .htaccess; you may have to create this file if it really is not there. Make backup copies of those two files.') . '</p>' .
  	'<p>' . __('Add a <code>blogs.dir</code> directory under <code>/wp-content</code> and add the designated lines of code to wp-config.php (just before <code>/*...stop editing...*/</code>) and <code>.htaccess</code> (replacing the existing WordPress rules).') . '</p>' .
! 	'<p>' . __('Once you add this code and refresh your browser, multisite should be enabled. This screen, now in the Network Admin navigation menu, will keep an archive of the added code. You can toggle between Network Admin and Site Admin by clicking on the Network Admin or an individual site name under the My Sites dropdown in the Toolbar.') . '</p>' .
! 	'<p>' . __('The choice of subdirectory sites is disabled if this setup is more than a month old because of permalink problems with &#8220;/blog/&#8221; from the main site. This disabling will be addressed in a future version.') . '</p>' .
! 	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Create_A_Network" target="_blank">Documentation on Creating a Network</a>') . '</p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Tools_Network_Screen" target="_blank">Documentation on the Network Screen</a>') . '</p>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'network',
! 	'title'   => __('Network'),
! 	'content' => $network_help,
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Create_A_Network" target="_blank">Documentation on Creating a Network</a>') . '</p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Tools_Network_Screen" target="_blank">Documentation on the Network Screen</a>') . '</p>' .
***************
*** 135,148 ****
  	global $is_apache;
  
  	if ( get_option( 'siteurl' ) != get_option( 'home' ) ) {
! 		echo '<div class="error"><p><strong>' . __('Error:') . '</strong> ' . sprintf( __( 'Your <strong>WordPress address</strong> must match your <strong>Site address</strong> before creating a Network. See <a href="%s">General Settings</a>.' ), esc_url( admin_url( 'options-general.php' ) ) ) . '</p></div>';
  		echo '</div>';
  		include ( ABSPATH . 'wp-admin/admin-footer.php' );
  		die();
  	}
  
  	if ( defined('DO_NOT_UPGRADE_GLOBAL_TABLES') ) {
! 		echo '<div class="error"><p><strong>' . __('Error:') . '</strong> ' . __( 'The constant DO_NOT_UPGRADE_GLOBAL_TABLES cannot be defined when creating a network.' ) . '</p></div>';
  		echo '</div>';
  		include ( ABSPATH . 'wp-admin/admin-footer.php' );
  		die();
--- 145,158 ----
  	global $is_apache;
  
  	if ( get_option( 'siteurl' ) != get_option( 'home' ) ) {
! 		echo '<div class="error"><p><strong>' . __('ERROR:') . '</strong> ' . sprintf( __( 'Your <strong>WordPress address</strong> must match your <strong>Site address</strong> before creating a Network. See <a href="%s">General Settings</a>.' ), esc_url( admin_url( 'options-general.php' ) ) ) . '</p></div>';
  		echo '</div>';
  		include ( ABSPATH . 'wp-admin/admin-footer.php' );
  		die();
  	}
  
  	if ( defined('DO_NOT_UPGRADE_GLOBAL_TABLES') ) {
! 		echo '<div class="error"><p><strong>' . __('ERROR:') . '</strong> ' . __( 'The constant DO_NOT_UPGRADE_GLOBAL_TABLES cannot be defined when creating a network.' ) . '</p></div>';
  		echo '</div>';
  		include ( ABSPATH . 'wp-admin/admin-footer.php' );
  		die();
***************
*** 159,165 ****
  	$hostname = get_clean_basedomain();
  	$has_ports = strstr( $hostname, ':' );
  	if ( ( false !== $has_ports && ! in_array( $has_ports, array( ':80', ':443' ) ) ) ) {
! 		echo '<div class="error"><p><strong>' . __( 'Error:') . '</strong> ' . __( 'You cannot install a network of sites with your server address.' ) . '</p></div>';
  		echo '<p>' . sprintf( __( 'You cannot use port numbers such as <code>%s</code>.' ), $has_ports ) . '</p>';
  		echo '<a href="' . esc_url( admin_url() ) . '">' . __( 'Return to Dashboard' ) . '</a>';
  		echo '</div>';
--- 169,175 ----
  	$hostname = get_clean_basedomain();
  	$has_ports = strstr( $hostname, ':' );
  	if ( ( false !== $has_ports && ! in_array( $has_ports, array( ':80', ':443' ) ) ) ) {
! 		echo '<div class="error"><p><strong>' . __( 'ERROR:') . '</strong> ' . __( 'You cannot install a network of sites with your server address.' ) . '</p></div>';
  		echo '<p>' . sprintf( __( 'You cannot use port numbers such as <code>%s</code>.' ), $has_ports ) . '</p>';
  		echo '<a href="' . esc_url( admin_url() ) . '">' . __( 'Return to Dashboard' ) . '</a>';
  		echo '</div>';
***************
*** 229,235 ****
  		if ( $is_www ) :
  		?>
  		<h3><?php esc_html_e( 'Server Address' ); ?></h3>
! 		<p><?php printf( __( 'We recommend you change your siteurl to <code>%1$s</code> before enabling the network feature. It will still be possible to visit your site using the <code>www</code> prefix with an address like <code>%2$s</code> but any links will not have the <code>www</code> prefix.' ), substr( $hostname, 4 ), $hostname ); ?></h3>
  		<table class="form-table">
  			<tr>
  				<th scope='row'><?php esc_html_e( 'Server Address' ); ?></th>
--- 239,245 ----
  		if ( $is_www ) :
  		?>
  		<h3><?php esc_html_e( 'Server Address' ); ?></h3>
! 		<p><?php printf( __( 'We recommend you change your siteurl to <code>%1$s</code> before enabling the network feature. It will still be possible to visit your site using the <code>www</code> prefix with an address like <code>%2$s</code> but any links will not have the <code>www</code> prefix.' ), substr( $hostname, 4 ), $hostname ); ?></p>
  		<table class="form-table">
  			<tr>
  				<th scope='row'><?php esc_html_e( 'Server Address' ); ?></th>
***************
*** 353,359 ****
  			<li><p><?php
  				printf( __( 'Create a <code>blogs.dir</code> directory at <code>%s/blogs.dir</code>. This directory is used to store uploaded media for your additional sites and must be writeable by the web server.' ), WP_CONTENT_DIR );
  				if ( WP_CONTENT_DIR != ABSPATH . 'wp-content' )
! 					echo ' <strong>' . __('Warning:') . ' ' . __( 'Networks may not be fully compatible with custom wp-content directories.' ) . '</strong';
  			?></p></li>
  			<li><p><?php printf( __( 'Add the following to your <code>wp-config.php</code> file in <code>%s</code> <strong>above</strong> the line reading <code>/* That&#8217;s all, stop editing! Happy blogging. */</code>:' ), ABSPATH ); ?></p>
  				<textarea class="code" readonly="readonly" cols="100" rows="7">
--- 363,369 ----
  			<li><p><?php
  				printf( __( 'Create a <code>blogs.dir</code> directory at <code>%s/blogs.dir</code>. This directory is used to store uploaded media for your additional sites and must be writeable by the web server.' ), WP_CONTENT_DIR );
  				if ( WP_CONTENT_DIR != ABSPATH . 'wp-content' )
! 					echo ' <strong>' . __('Warning:') . ' ' . __( 'Networks may not be fully compatible with custom wp-content directories.' ) . '</strong>';
  			?></p></li>
  			<li><p><?php printf( __( 'Add the following to your <code>wp-config.php</code> file in <code>%s</code> <strong>above</strong> the line reading <code>/* That&#8217;s all, stop editing! Happy blogging. */</code>:' ), ABSPATH ); ?></p>
  				<textarea class="code" readonly="readonly" cols="100" rows="7">
***************
*** 455,461 ****
                  </rule>
                  <rule name="WordPress Rule 5" stopProcessing="true">
                      <match url="^[_0-9a-zA-Z-]+/(wp-(content|admin|includes).*)" ignoreCase="false" />
!                     <action type="Rewrite" url="{R:2}" />
                  </rule>
                  <rule name="WordPress Rule 6" stopProcessing="true">
                      <match url="^([_0-9a-zA-Z-]+/)?(.*\.php)$" ignoreCase="false" />
--- 465,471 ----
                  </rule>
                  <rule name="WordPress Rule 5" stopProcessing="true">
                      <match url="^[_0-9a-zA-Z-]+/(wp-(content|admin|includes).*)" ignoreCase="false" />
!                     <action type="Rewrite" url="{R:1}" />
                  </rule>
                  <rule name="WordPress Rule 6" stopProcessing="true">
                      <match url="^([_0-9a-zA-Z-]+/)?(.*\.php)$" ignoreCase="false" />
***************
*** 523,529 ****
  	// create network tables
  	install_network();
  	$hostname = get_clean_basedomain();
! 	$subdomain_install = !allow_subdomain_install() ? false : (bool) $_POST['subdomain_install'];
  	if ( ! network_domain_check() ) {
  		$result = populate_network( 1, get_clean_basedomain(), sanitize_email( $_POST['email'] ), stripslashes( $_POST['sitename'] ), $base, $subdomain_install );
  		if ( is_wp_error( $result ) ) {
--- 533,539 ----
  	// create network tables
  	install_network();
  	$hostname = get_clean_basedomain();
! 	$subdomain_install = allow_subdomain_install() ? !empty( $_POST['subdomain_install'] ) : false;
  	if ( ! network_domain_check() ) {
  		$result = populate_network( 1, get_clean_basedomain(), sanitize_email( $_POST['email'] ), stripslashes( $_POST['sitename'] ), $base, $subdomain_install );
  		if ( is_wp_error( $result ) ) {
